Bug 72362 - PDF: images in PDF export somewhat blurry (even with lossless images and JPEG options)
Summary: PDF: images in PDF export somewhat blurry (even with lossless images and JPEG...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA Confirmed:4.2.0.1:Ubuntu
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2013-12-05 15:28 UTC by boukeas
Modified: 2018-02-22 03:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
pdf file with blurry screenshots (47.74 KB, application/pdf)
2013-12-05 15:28 UTC, boukeas
Details
.odt file with screenshots (53.55 KB, application/vnd.oasis.opendocument.text)
2013-12-22 16:35 UTC, boukeas
Details
corresponding .pdf file with screenshots (46.80 KB, application/x-pdf)
2013-12-22 16:37 UTC, boukeas
Details
Bug persists in 5.2.1.2: the document and blurry pdf side by side (189.98 KB, image/png)
2016-09-20 18:00 UTC, boukeas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description boukeas 2013-12-05 15:28:20 UTC
Created attachment 90312 [details]
pdf file with blurry screenshots

Problem description: I create a document containing screenshots and then export it to PDF. Although the images appear crisp on the screen, they are blurry in the PDF. My screen is 96 DPI. I use the default screenshot tool (gnome-screenshot), which saves images at 72 DPI.

I am running LibreOffice 4.1.3.2 (from the LibreOffice ppa) on Ubuntu 12.04. I was experiencing the same issue on the LibreOffice version packaged with Ubuntu 12.04.

Steps to reproduce:
1. Create a new document
2a. Take a screenshot of a part of the screen, copy to clipboard and paste in the document. OR
2b. Take a screenshot of a part of the screen, save image to a file, open image with GIMP to scale to 96 DPI (from 72 DPI), insert picture in document OR
2c. Take a screenshot of a part of the screen, save image to a file, insert picture in document and scale to 75%
3. Images are crisp on the screen. Export to PDF.
4. Images are blurry in the PDF.
Operating System: Ubuntu
Version: 4.1.3.2 release
Comment 1 Robinson Tryon (qubit) 2013-12-22 16:23:32 UTC
(In reply to comment #0)
> Created attachment 90312 [details]
> 
> Problem description: I create a document containing screenshots and then
> export it to PDF. Although the images appear crisp on the screen, they are
> blurry in the PDF. My screen is 96 DPI. I use the default screenshot tool
> (gnome-screenshot), which saves images at 72 DPI.

Hi Boukeas,

Could you please upload an ODT test file that, when exported, has blurry images in the PDF?

That would make it easier for us to compare across machines the quality of the images in the input and output files.

(Please change status from 'NEEDINFO' back to 'UNCONFIRMED' when you've uploaded the test file)
Comment 2 boukeas 2013-12-22 16:35:36 UTC
Created attachment 91129 [details]
.odt file with screenshots

Τhis .odt file contains two screenshots. One is 100% at 96dpi (which appears enlarged) and the other one at 75% (which appears alright in size). None of the images is crisp in the corresponding pdf export.
Comment 3 boukeas 2013-12-22 16:37:12 UTC
Created attachment 91130 [details]
corresponding .pdf file with screenshots
Comment 4 Robinson Tryon (qubit) 2013-12-22 16:55:06 UTC
CONFIRMED on Ubuntu 12.04.3 with
LibreOffice Version: 4.2.0.1

(In reply to comment #2)
> Τhis .odt file contains two screenshots. One is 100% at 96dpi (which appears
> enlarged) and the other one at 75% (which appears alright in size). None of
> the images is crisp in the corresponding pdf export.

I tried both Lossless and JPEG options in the PDF export dialog, and in all test cases, the embedded screenshots in the output PDF were blurrier than the screenshots as presented in the ODT.

Perhaps even with "lossless" embedding, the images are still reprocessed/transcoded?

Bug status: NEW
Comment 5 QA Administrators 2015-06-08 14:41:43 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-21 18:05:58 UTC
Repro even with lossless images.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 7 Cor Nouws 2015-06-22 09:44:02 UTC
@beluga: 
Why should this be a _minor_ issue?

@boukeas:
Was it OK in earlier versions, that you know?
Comment 8 Buovjaga 2015-06-22 10:17:36 UTC
(In reply to Cor Nouws from comment #7)
> @beluga: 
> Why should this be a _minor_ issue?
> 
> @boukeas:
> Was it OK in earlier versions, that you know?

The severity of it is minor: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 9 boukeas 2015-06-22 10:27:24 UTC
(In reply to Beluga from comment #8)
> The severity of it is minor:
> https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.
> jpg

In the flowchart, there is a question: "Does bug prevent users from making professional quality work?" I would definitely answer this with a YES.

(In reply to Cor Nouws from comment #7)
> @boukeas:
> Was it OK in earlier versions, that you know?

This is not a regression, as far as I can remember I would say that this bug has been present.
Comment 10 QA Administrators 2016-09-20 10:10:02 UTC Comment hidden (obsolete)
Comment 11 boukeas 2016-09-20 18:00:46 UTC
Created attachment 127482 [details]
Bug persists in 5.2.1.2: the document and blurry pdf side by side
Comment 12 QA Administrators 2018-02-22 03:37:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug